/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jmx.vjadmin.servlet;

// JOnAS JMX imports
import javax.management.ObjectName;
import javax.management.MalformedObjectNameException;
import org.objectweb.jonas.jmx.JonasObjectName;

// Jadmin imports
import org.objectweb.jonas.jmx.vjadmin.*;

public class Dependence {

    String ejbName = null;
    String fileName = null;
    String type = null;
    String containerName = null;

    public Dependence(ObjectName theDependence) throws ManagementException, MalformedObjectNameException {
	ejbName = (String)JonasManagementRepr.getAttribute(theDependence, "EJBName");
	fileName = (String)JonasManagementRepr.getAttribute(theDependence, "EJBFileName");
	type = (String)JonasObjectName.getType(theDependence);
	if (type.equals("ejbbmp")) type  = "BMP";
	else if (type.equals("ejbcmp")) type  = "CMP";
	else if (type.equals("ejbsbf")) type  = "SBF";
	else if (type.equals("ejbsbl")) type  = "SBL";
	else if (type.equals("ejbmdb")) type  = "MDB";
	containerName = (String)JonasManagementRepr.getAttribute(JonasObjectName.container(fileName), "ContainerName");
    }

    public String getEjbName() {
	return ejbName;
    }
    public String getFileName() {
	return fileName;
    }
    public String getType() {
	return type;
    }
    public String getContainerName() {
	return containerName;
    }
}
